Notification handlers
GET https://addme.vn/api/notification-handlers/
curl --request GET \
--url 'https://addme.vn/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Thông số | Details | Description |
|---|---|---|
| search | Optional Chuỗi | Chuỗi tìm kiếm. |
| search_by | Optional Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị được phép là: name. |
| is_enabled | Optional Boolean | |
| type | Optional Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị được phép là: email , webhook , slack , discord , telegram , microsoft_teams. |
| order_by | Optional Chuỗi | Sắp xếp kết quả theo trường nào. Các giá trị được phép là: notification_handler_id , datetime , last_datetime , name. |
| order_type | Optional Chuỗi | Thứ tự của kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần và DESC cho thứ tự giảm dần. |
| search | Optional Chuỗi | Chuỗi tìm kiếm. |
| search_by | Optional Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị được phép là: name. |
| is_enabled | Optional Boolean | |
| type | Optional Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị được phép là: email , webhook , slack , discord , telegram , microsoft_teams. |
| order_by | Optional Chuỗi | Sắp xếp kết quả theo trường nào. Các giá trị được phép là: notification_handler_id , datetime , last_datetime , name. |
| order_type | Optional Chuỗi | Thứ tự của kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần và DESC cho thứ tự giảm dần. |
| page | Optional Số nguyên | Số trang mà bạn muốn lấy kết quả. Mặc định là 1. |
| results_per_page | Optional Số nguyên | Bạn muốn có bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-23 11:52:01",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://addme.vn/api/notification-handlers?page=1",
"last": "https://addme.vn/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://addme.vn/api/notification-handlers?page=1"
}
}
GET https://addme.vn/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://addme.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-23 11:52:01",
}
}
POST https://addme.vn/api/notification-handlers
| Thông số | Details | Description |
|---|---|---|
| name | Bắt buộc Chuỗi | - |
| type | Bắt buộc Chuỗi | Giá trị được phép: email , webhook , slack , discord , telegram , microsoft_teams |
| Optional Chuỗi | Available when: type = email Email | |
| webhook | Optional Chuỗi | Available when: type = webhook Webhook URL |
| slack | Optional Chuỗi | Available when: type = slack Slack webhook URL |
| discord | Optional Chuỗi | Available when: type = discord Discord webhook URL |
| telegram | Optional Chuỗi | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optional Chuỗi | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Optional Chuỗi | Available when: type = microsoft_teams Microsoft Teams webhook URL |
curl --request POST \
--url 'https://addme.vn/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://addme.vn/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://addme.vn/api/notification-handlers/{notification_handler_id}
| Thông số | Details | Description |
|---|---|---|
| name | Optional Chuỗi | - |
| type | Optional Chuỗi | Giá trị được phép: email , webhook , slack , discord , telegram , microsoft_teams |
| Optional Chuỗi | Available when: type = email Email | |
| webhook | Optional Chuỗi | Available when: type = webhook Webhook URL |
| slack | Optional Chuỗi | Available when: type = slack Slack webhook URL |
| discord | Optional Chuỗi | Available when: type = discord Discord webhook URL |
| telegram | Optional Chuỗi | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optional Chuỗi | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Optional Chuỗi | Available when: type = microsoft_teams Microsoft Teams webhook URL |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://addme.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://addme.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://addme.vn/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://addme.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \